# OpenLayers.Layer.WMS

Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services. Create a new WMS layer with the OpenLayers.Layer.WMS constructor.

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.WMS | Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services.
Constants |
DEFAULT_PARAMS | {Object} Hashtable of default parameter key/value pairs
Properties |
isBaseLayer | {Boolean} Default is true for WMS layer
encodeBBOX | {Boolean} Should the BBOX commas be encoded?
noMagic | {Boolean} If true, the image format will not be automagicaly switched from image/jpeg to image/png or image/gif when using TRANSPARENT=TRUE.
Constructor |
OpenLayers.Layer.WMS | Create a new WMS layer object
Functions |
reverseAxisOrder | Returns true if the axis order is reversed for the WMS version and projection of the layer.
mergeNewParams | Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.
getFullRequestString | Combine the layer’s url with its params and these newParams.

### Constants

### DEFAULT_PARAMS

{Object} Hashtable of default parameter key/value pairs

### Properties

### isBaseLayer

{Boolean} Default is true for WMS layer

### encodeBBOX

{Boolean} Should the BBOX commas be encoded? The WMS spec says ‘no’, but some services want it that way. Default false.

### noMagic

{Boolean} If true, the image format will not be automagicaly switched from image/jpeg to image/png or image/gif when using TRANSPARENT=TRUE. Also isBaseLayer will not changed by the constructor. Default false.

### Constructor

### OpenLayers.Layer.WMS

Create a new WMS layer object

#### Examples

The code below creates a simple WMS layer using the image/jpeg format.

>     var wms = new OpenLayers.Layer.WMS("NASA Global Mosaic",
>                                        "http://wms.jpl.nasa.gov/wms.cgi",
>                                        {layers: "modis,global_mosaic"});

Note the 3rd argument (params). Properties added to this object will be added to the WMS GetMap requests used for this layer’s tiles. The only mandatory parameter is “layers”. Other common WMS params include “transparent”, “styles” and “format”. Note that the “srs” param will always be ignored. Instead, it will be derived from the baseLayer’s or map’s projection.

The code below creates a transparent WMS layer with additional options.

>     var wms = new OpenLayers.Layer.WMS("NASA Global Mosaic",
>                                        "http://wms.jpl.nasa.gov/wms.cgi",
>                                        {
>                                            layers: "modis,global_mosaic",
>                                            transparent: true
>                                        }, {
>                                            opacity: 0.5,
>                                            singleTile: true
>                                        });

Note that by default, a WMS layer is configured as baseLayer. Setting the “transparent” param to true will apply some magic (see noMagic). The default image format changes from image/jpeg to image/png, and the layer is not configured as baseLayer.

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the WMS (e.g. http://wms.jpl.nasa.gov/wms.cgi)
params | {Object} An object with key/value pairs representing the GetMap query string parameters and parameter values.
options | {Object} Hashtable of extra options to tag onto the layer. These options include all properties listed above, plus the ones inherited from superclasses.

### Functions

### reverseAxisOrder

> reverseAxisOrder: function()

Returns true if the axis order is reversed for the WMS version and projection of the layer.

#### Returns

{Boolean} true if the axis order is reversed, false otherwise.

### mergeNewParams

> mergeNewParams:function( | newParams | )

Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.

Once params have been changed, the tiles will be reloaded with the new parameters.

#### Parameters

newParams | {Object} Hashtable of new params to use

### getFullRequestString

> getFullRequestString:function( | newParams,
> | altUrl | )

Combine the layer’s url with its params and these newParams.

Add the SRS parameter from projection -- this is probably more eloquently done via a setProjection() method, but this works for now and always.

#### Parameters

newParams | {Object}
altUrl | {String} Use this as the url instead of the layer’s url

#### Returns

{String}

> reverseAxisOrder: function()

Returns true if the axis order is reversed for the WMS version and projection of the layer.

> mergeNewParams:function( | newParams | )

Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.

> getFullRequestString:function( | newParams,
> | altUrl | )

Combine the layer’s url with its params and these newParams.
Create a new WMS layer object
{Boolean} If true, the image format will not be automagicaly switched from image/jpeg to image/png or image/gif when using TRANSPARENT=TRUE.
Close